Name: neverball
Version: 1.4.0
Release: alt2

Group: Games/Other
License: GPL
Url: http://www.icculus.org/neverball/
Summary: OpenGL golf-based game
Packager: Pavlov Konstantin <thresh@altlinux.ru>

Source0: http://www.icculus.org/neverball/%name-%version.tar.bz2
Source1: %name-48.png
Source2: %name-32.png
Source3: %name-16.png
Source4: neverputt-48.png
Source5: neverputt-32.png
Source6: neverputt-16.png
Patch0:  neverball-1.3.5-config.h.patch

BuildRequires: freetype2-devel libGLU-devel libSDL-devel libSDL_image-devel libSDL_mixer-devel libSDL_ttf-devel zlib-devel

Obsoletes: neverputt <= %version-%release
Conflicts: neverputt <= %version-%release

%description
Tilt the floor to roll a ball through an obstacle course before time runs out.
Neverball is part puzzle game, part action game, and entirely a test of skill.

Also found here is Neverputt, a hot-seat multiplayer miniature golf game using
the physics and graphics of Neverball.

%description -l ru_RU.KOI8-R
 OpenGL-,   .

%prep
%setup -q
%patch0 -p0

%build
%make

%install
mkdir -p %buildroot%_datadir/%name/
mkdir -p %buildroot%_gamesbindir
mkdir -p %buildroot/%_menudir

cp -a data %buildroot%_datadir/%name/
find %buildroot%_datadir/%name/ -type f -name "*.map"|xargs rm -f

install -m755 -s %name %buildroot%_gamesbindir
install -m755 -s neverputt %buildroot%_gamesbindir

# Install the desktop files
cat > neverball.desktop << EOF
[Desktop Entry]
Name=Neverball
Comment=Test of skill, part puzzle game and part action game
Exec=%_gamesbindir/neverball
Icon=neverball.png
Terminal=false
Type=Application
Encoding=UTF-8
Categories=Application;Game;
EOF
cat > neverputt.desktop << EOF
[Desktop Entry]
Name=Neverputt
Comment=Multiplayer miniature golf game
Exec=%_gamesbindir/neverputt
Icon=neverputt.png
Terminal=false
Type=Application
Encoding=UTF-8
Categories=Application;Game;
EOF

install -D -m 644 %SOURCE1 $RPM_BUILD_ROOT%_liconsdir/%name.png
install -D -m 644 %SOURCE2 $RPM_BUILD_ROOT%_iconsdir/%name.png
install -D -m 644 %SOURCE3 $RPM_BUILD_ROOT%_miconsdir/%name.png
install -D -m 644 %SOURCE4 $RPM_BUILD_ROOT%_liconsdir/neverputt.png
install -D -m 644 %SOURCE5 $RPM_BUILD_ROOT%_iconsdir/neverputt.png
install -D -m 644 %SOURCE6 $RPM_BUILD_ROOT%_miconsdir/neverputt.png

mkdir -p %buildroot%_datadir/applications
cp neverball.desktop %buildroot%_datadir/applications
cp neverputt.desktop %buildroot%_datadir/applications

%files
%doc README
%_gamesbindir/*
%dir %_datadir/%name
%_datadir/%name/*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/neverputt.png
%_iconsdir/neverputt.png
%_miconsdir/neverputt.png
%_datadir/applications/*

%post
%update_menus

%postun
%clean_menus

%changelog
* Mon Jan 29 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.4.0-alt2
- Removed erroneus Requires.
- Removed erroneus BuildRequires.
- Removed old XFree kludges.
- Rewrote descriptions.
- Minor spec cleanup.
- Added freedesktop menu file.
- Added post/postun.

* Fri Oct 29 2004 Anton Farygin <rider@altlinux.ru> 1.4.0-alt1
- 1.4.0

* Tue Jul 06 2004 Anton Farygin <rider@altlinux.ru> 1.3.1-alt1
- added icons
- new version (merged with neverputt)

* Fri Oct 31 2003 Alexander Bokovoy <ab@altlinux.ru> 0.25.12-alt1
- Initial build for Sisyphus

